﻿using Overdash.General;
using UnityEngine;

namespace Overdash.Combat
{
    public class AmmoPickup : PickupItem
    {
        public AmmoType ammoType;
        
        private void OnValidate()
        {
            // Set sprite color to match ammo type
            GetComponentInChildren<SpriteRenderer>().color = ammoType.color;
        }
    }
}