﻿using UnityEngine;

namespace Overdash.Levels.Modifiers
{
    public class ZeroGravity : IRoundModifier
    {
        public string label => "Zero Gravity";
        
        private Vector2 standardGravity;

        public void ApplyModifier()
        {
            standardGravity = Physics2D.gravity;
            Physics2D.gravity = new Vector2(0, 0);
        }

        public void RemoveModifier() => Physics2D.gravity = standardGravity;
    }
}