using System;
using System.Collections;
using System.Collections.Generic;
using System.Threading.Tasks;
using Overdash.Common;
using Overdash.UI;
using UnityEngine;
using Object = UnityEngine.Object;

namespace Overdash.Global
{
    [RequireComponent(typeof(RoundLoop))]
    public class GameLoop : MonoBehaviourSingleton<GameLoop>
    {
        public static GameParameters parameters { get; private set; }
        public static event Action OnGameStart;
        
        public static void StartGame(GameParameters parameters)
        {
            GameLoop.parameters = parameters;
            OnGameStart?.Invoke();
            RoundLoop.StartRound();
        }
    }
}